SpyBara
Go Premium

resources/conversations/subresources/items/methods/delete/index.md 2026-05-02 05:57 UTC to 2026-05-05 23:00 UTC

71 added, 0 removed.

2026
Wed 27 06:42 Fri 22 06:33 Wed 20 06:35 Tue 19 06:34 Mon 18 22:01 Mon 11 18:00 Thu 7 21:57 Tue 5 23:00 Sat 2 05:57
Data Information:
  • After 2026-05-05 06:03 UTC, this monitor no longer uses markdownified HTML/MDX. Comparisons across that boundary can therefore show more extensive diffs.

Delete an item

delete /conversations/{conversation_id}/items/{item_id}

Delete an item from a conversation with the given IDs.

Path Parameters

  • conversation_id: string

  • item_id: string

Returns

  • Conversation object { id, created_at, metadata, object }

    • id: string

      The unique ID of the conversation.

    • created_at: number

      The time at which the conversation was created, measured in seconds since the Unix epoch.

    • metadata: unknown

      Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

    • object: "conversation"

      The object type, which is always conversation.

      • "conversation"

Example

curl https://api.openai.com/v1/conversations/$CONVERSATION_ID/items/$ITEM_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "metadata": {},
  "object": "conversation"
}

Example

curl -X DELETE https://api.openai.com/v1/conversations/conv_123/items/msg_abc \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}